#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=koyna14.31_base.ps
projection=-JM16.0c+
region=-R73.5/73.9/17.0/17.4
gmt psbasemap $region $projection -Bxa0.2f0.1 -Bya0.2f0.1 -BWeSn+t'Base Map koyna14.31' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut tables/gmt/dem/GLOBE/g10g.grd -Gmloc.grd $region -fg
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt pscoast $projection $region -Df -Ia,blue -Wblue -O -K >> $psfile
# Event numbers
gmt psxy -: -R $projection -Sl8p+t"1" -G0 -O -K << END >> $psfile
    17.270    73.784
END
gmt psxy -: -R $projection -Sl8p+t"2" -G0 -O -K << END >> $psfile
    17.161    73.626
END
gmt psxy -: -R $projection -Sl8p+t"3" -G0 -O -K << END >> $psfile
    17.181    73.737
END
gmt psxy -: -R $projection -Sl8p+t"4" -G0 -O -K << END >> $psfile
    17.128    73.717
END
gmt psxy -: -R $projection -Sl8p+t"5" -G0 -O -K << END >> $psfile
    17.211    73.739
END
gmt psxy -: -R $projection -Sl8p+t"6" -G0 -O -K << END >> $psfile
    17.209    73.731
END
gmt psxy -: -R $projection -Sl8p+t"7" -G0 -O -K << END >> $psfile
    17.211    73.808
END
gmt psxy -: -R $projection -Sl8p+t"8" -G0 -O -K << END >> $psfile
    17.231    73.712
END
gmt psxy -: -R $projection -Sl8p+t"9" -G0 -O -K << END >> $psfile
    17.195    73.762
END
gmt psxy -: -R $projection -Sl8p+t"10" -G0 -O -K << END >> $psfile
    17.136    73.780
END
gmt psxy -: -R $projection -Sl8p+t"11" -G0 -O -K << END >> $psfile
    17.134    73.706
END
gmt psxy -: -R $projection -Sl8p+t"12" -G0 -O -K << END >> $psfile
    17.145    73.724
END
gmt psxy -: -R $projection -Sl8p+t"13" -G0 -O -K << END >> $psfile
    17.186    73.766
END
gmt psxy -: -R $projection -Sl8p+t"14" -G0 -O -K << END >> $psfile
    17.197    73.759
END
gmt psxy -: -R $projection -Sl8p+t"15" -G0 -O -K << END >> $psfile
    17.202    73.778
END
gmt psxy -: -R $projection -Sl8p+t"16" -G0 -O -K << END >> $psfile
    17.138    73.769
END
gmt psxy -: -R $projection -Sl8p+t"17" -G0 -O -K << END >> $psfile
    17.160    73.798
END
gmt psxy -: -R $projection -Sl8p+t"18" -G0 -O -K << END >> $psfile
    17.246    73.732
END
gmt psxy -: -R $projection -Sl8p+t"19" -G0 -O -K << END >> $psfile
    17.123    73.784
END
gmt psxy -: -R $projection -Sl8p+t"20" -G0 -O -K << END >> $psfile
    17.091    73.770
END
gmt psxy -: -R $projection -Sl8p+t"21" -G0 -O -K << END >> $psfile
    17.105    73.698
END
gmt psxy -: -R $projection -Sl8p+t"22" -G0 -O -K << END >> $psfile
    17.104    73.701
END
gmt psxy -: -R $projection -Sl8p+t"23" -G0 -O -K << END >> $psfile
    17.102    73.708
END
gmt psxy -: -R $projection -Sl8p+t"24" -G0 -O -K << END >> $psfile
    17.333    73.744
END
gmt psxy -: -R $projection -Sl8p+t"25" -G0 -O -K << END >> $psfile
    17.295    73.771
END
gmt psxy -: -R $projection -Sl8p+t"26" -G0 -O -K << END >> $psfile
    17.130    73.800
END
gmt psxy -: -R $projection -Sl8p+t"27" -G0 -O -K << END >> $psfile
    17.094    73.680
END
gmt psxy -: -R $projection -Sl8p+t"28" -G0 -O -K << END >> $psfile
    17.122    73.788
END
gmt psxy -: -R $projection -Sl8p+t"29" -G0 -O -K << END >> $psfile
    17.140    73.789
END
gmt psxy -: -R $projection -Sl8p+t"30" -G0 -O -K << END >> $psfile
    17.138    73.796
END
gmt psxy -: -R $projection -Sl8p+t"31" -G0 -O -K << END >> $psfile
    17.129    73.791
END
gmt psxy -: -R $projection -Sl8p+t"32" -G0 -O -K << END >> $psfile
    17.128    73.777
END
gmt psxy -: -R $projection -Sl8p+t"33" -G0 -O -K << END >> $psfile
    17.331    73.742
END
gmt psxy -: -R $projection -Sl8p+t"34" -G0 -O -K << END >> $psfile
    17.242    73.731
END
gmt psxy -: -R $projection -Sl8p+t"35" -G0 -O -K << END >> $psfile
    17.175    73.775
END
# Change in location, calibration shift if available
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.271    73.783
    17.270    73.784
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.540    73.840
    17.270    73.784
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.168    73.633
    17.161    73.626
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.200    73.720
    17.161    73.626
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.186    73.743
    17.181    73.737
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.300    73.850
    17.181    73.737
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.135    73.724
    17.128    73.717
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.330    73.910
    17.128    73.717
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.223    73.749
    17.211    73.739
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.340    73.960
    17.211    73.739
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.211    73.734
    17.209    73.731
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.267    73.766
    17.209    73.731
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.212    73.810
    17.211    73.808
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.235    73.874
    17.211    73.808
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.233    73.709
    17.231    73.712
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.263    73.640
    17.231    73.712
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.193    73.762
    17.195    73.762
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.240    73.733
    17.195    73.762
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.131    73.780
    17.136    73.780
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.146    73.756
    17.136    73.780
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.119    73.705
    17.134    73.706
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.187    73.716
    17.134    73.706
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.142    73.725
    17.145    73.724
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.382    73.871
    17.145    73.724
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.186    73.766
    17.186    73.766
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.244    73.707
    17.186    73.766
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.195    73.759
    17.197    73.759
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.232    73.691
    17.197    73.759
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.201    73.779
    17.202    73.778
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.332    73.790
    17.202    73.778
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.139    73.769
    17.138    73.769
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.288    73.873
    17.138    73.769
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.162    73.799
    17.160    73.798
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.233    73.992
    17.160    73.798
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.246    73.733
    17.246    73.732
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.424    74.038
    17.246    73.732
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.123    73.784
    17.123    73.784
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.083    73.770
    17.123    73.784
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.095    73.770
    17.091    73.770
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.083    73.805
    17.091    73.770
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.105    73.698
    17.105    73.698
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.167    73.841
    17.105    73.698
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.104    73.701
    17.104    73.701
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.188    73.947
    17.104    73.701
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.102    73.708
    17.102    73.708
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.226    73.861
    17.102    73.708
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.333    73.744
    17.333    73.744
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.577    74.122
    17.333    73.744
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.295    73.771
    17.295    73.771
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.385    73.874
    17.295    73.771
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.131    73.801
    17.130    73.800
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.136    73.837
    17.130    73.800
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.095    73.680
    17.094    73.680
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.128    73.774
    17.094    73.680
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.123    73.788
    17.122    73.788
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.214    73.821
    17.122    73.788
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.140    73.789
    17.140    73.789
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.188    73.863
    17.140    73.789
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.138    73.796
    17.138    73.796
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.260    73.961
    17.138    73.796
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.129    73.791
    17.129    73.791
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.244    73.840
    17.129    73.791
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.128    73.777
    17.128    73.777
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.189    73.815
    17.128    73.777
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.331    73.742
    17.331    73.742
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.317    73.733
    17.331    73.742
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.242    73.731
    17.242    73.731
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.243    73.768
    17.242    73.731
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.173    73.775
    17.175    73.775
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.095    73.680
    17.175    73.775
END
# Confidence ellipses for relative location
gmt psxy -: -R $projection -SE -Wthick -O -K << END >> $psfile
    17.270    73.784   -54.830     2.519     3.390
    17.161    73.626   -31.427     3.215     5.466
    17.181    73.737   -47.730     2.540     4.590
    17.128    73.717   -49.354     2.657     4.288
    17.211    73.739   -45.969     3.087     5.781
    17.209    73.731   -29.798     2.982     4.525
    17.211    73.808   -34.188     2.437     4.182
    17.231    73.712   -36.904     2.082     2.541
    17.195    73.762   -78.632     1.294     2.951
    17.136    73.780   -79.535     2.051     5.079
    17.134    73.706   -79.220     1.585     3.262
    17.145    73.724   -84.551     2.045     4.028
    17.186    73.766    81.635     2.148     2.897
    17.197    73.759   -83.486     1.459     3.121
    17.202    73.778   -88.942     1.531     2.407
    17.138    73.769    83.946     1.669     2.215
    17.160    73.798   -53.921     2.227     2.896
    17.246    73.732   -79.403     1.653     2.859
    17.123    73.784   -85.220     1.629     3.597
    17.091    73.770   -82.587     1.537     3.184
    17.105    73.698   -45.846     1.219     1.759
    17.104    73.701   -45.162     1.240     1.837
    17.102    73.708   -29.826     1.246     1.785
    17.333    73.744    57.483     1.051     1.285
    17.295    73.771    57.730     1.058     1.114
    17.130    73.800   -66.649     1.410     1.790
    17.094    73.680   -24.601     1.626     3.946
    17.122    73.788   -72.865     0.958     1.341
    17.140    73.789   -58.815     1.159     1.461
    17.138    73.796   -67.458     1.345     1.692
    17.129    73.791   -13.051     1.358     1.800
    17.128    73.777   -43.646     1.225     1.495
    17.331    73.742    20.988     1.170     1.587
    17.242    73.731   -51.728     1.341     1.441
    17.175    73.775    18.084     2.394     2.874
END
# Hypocentroid confidence ellipse
gmt psxy -: -R $projection -SE -Wthick,blue -O -K << END >> $psfile
    17.091    73.626   -40.824     0.976     1.357
END
gmt pstext -: -R $projection -F+f6p,Helvetica,blue+a0.+jBL -O -K << END >> $psfile
    17.041    73.626   Hypocentroid confidence ellipse
END
# Circle of radius 5 km for reference
gmt psxy -: -R $projection -SE -Wthick,red -O -K << END >> $psfile
    17.091    73.626     0.000    10.000    10.000
END
gmt psxy -: -R $projection -Sx -Wthinnest,blue -O -K << END >> $psfile
    17.091    73.626     0.070
END
gmt pstext -: -R $projection -F+f6p,Helvetica,red+a0.+jBL -O << END >> $psfile
    17.011    73.626   Circle of radius 5 km for reference
END
