#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=koyna14.31_dcal.ps
projection=-JM16.0c+
region=-R71.0/76.4/14.5/19.9
gmt psbasemap $region $projection -Bxa1.0f0.5 -Bya1.0f0.5 -BWeSn+t'Direct Calibration koyna14.31' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut tables/gmt/dem/GLOBE/g10g.grd -Gmloc.grd $region -fg
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt pscoast $projection $region -Df -Ia,blue -Wblue -O -K >> $psfile
# Raypaths used in direct calibration
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.308    74.183
    17.145    73.724
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.308    74.183
    17.197    73.759
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.308    74.183
    17.197    73.759
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.308    74.183
    17.202    73.778
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.308    74.183
    17.202    73.778
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.308    74.183
    17.138    73.769
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.308    74.183
    17.138    73.769
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.308    74.183
    17.160    73.798
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.308    74.183
    17.160    73.798
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.308    74.183
    17.160    73.798
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.308    74.183
    17.246    73.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.308    74.183
    17.246    73.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.308    74.183
    17.123    73.784
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.308    74.183
    17.123    73.784
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.308    74.183
    17.091    73.770
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.308    74.183
    17.091    73.770
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.992    73.700
    17.105    73.698
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.992    73.700
    17.105    73.698
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.242    73.595
    17.105    73.698
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.242    73.595
    17.105    73.698
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.123    73.897
    17.105    73.698
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.123    73.897
    17.105    73.698
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.397    73.727
    17.105    73.698
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.397    73.727
    17.105    73.698
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.308    74.183
    17.105    73.698
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.308    74.183
    17.105    73.698
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.992    73.700
    17.104    73.701
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.992    73.700
    17.104    73.701
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.242    73.595
    17.104    73.701
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.242    73.595
    17.104    73.701
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.308    74.183
    17.104    73.701
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.308    74.183
    17.104    73.701
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.992    73.700
    17.102    73.708
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.992    73.700
    17.102    73.708
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.242    73.595
    17.102    73.708
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.242    73.595
    17.102    73.708
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.123    73.897
    17.102    73.708
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.123    73.897
    17.102    73.708
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.397    73.727
    17.102    73.708
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.397    73.727
    17.102    73.708
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.308    74.183
    17.102    73.708
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.308    74.183
    17.102    73.708
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.992    73.700
    17.333    73.744
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.992    73.700
    17.333    73.744
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.242    73.595
    17.333    73.744
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.242    73.595
    17.333    73.744
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.123    73.897
    17.333    73.744
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.123    73.897
    17.333    73.744
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.397    73.727
    17.333    73.744
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.397    73.727
    17.333    73.744
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.308    74.183
    17.333    73.744
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.308    74.183
    17.333    73.744
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.992    73.700
    17.295    73.771
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.992    73.700
    17.295    73.771
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.242    73.595
    17.295    73.771
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.242    73.595
    17.295    73.771
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.123    73.897
    17.295    73.771
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.123    73.897
    17.295    73.771
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.397    73.727
    17.295    73.771
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.308    74.183
    17.295    73.771
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.308    74.183
    17.295    73.771
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.992    73.700
    17.130    73.800
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.992    73.700
    17.130    73.800
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.242    73.595
    17.130    73.800
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.242    73.595
    17.130    73.800
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.123    73.897
    17.130    73.800
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.123    73.897
    17.130    73.800
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.397    73.727
    17.130    73.800
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.397    73.727
    17.130    73.800
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.308    74.183
    17.130    73.800
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.992    73.700
    17.094    73.680
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.992    73.700
    17.094    73.680
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.242    73.595
    17.094    73.680
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.242    73.595
    17.094    73.680
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.397    73.727
    17.122    73.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.397    73.727
    17.122    73.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.242    73.595
    17.122    73.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.242    73.595
    17.122    73.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.123    73.897
    17.122    73.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.123    73.897
    17.122    73.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.992    73.700
    17.122    73.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.992    73.700
    17.122    73.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.308    74.183
    17.122    73.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.308    74.183
    17.122    73.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.992    73.700
    17.140    73.789
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.992    73.700
    17.140    73.789
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.242    73.595
    17.140    73.789
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.242    73.595
    17.140    73.789
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.123    73.897
    17.140    73.789
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.123    73.897
    17.140    73.789
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.397    73.727
    17.140    73.789
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.397    73.727
    17.140    73.789
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.308    74.183
    17.140    73.789
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.308    74.183
    17.140    73.789
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.992    73.700
    17.138    73.796
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.992    73.700
    17.138    73.796
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.242    73.595
    17.138    73.796
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.242    73.595
    17.138    73.796
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.123    73.897
    17.138    73.796
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.123    73.897
    17.138    73.796
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.397    73.727
    17.138    73.796
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.397    73.727
    17.138    73.796
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.308    74.183
    17.138    73.796
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.308    74.183
    17.138    73.796
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.992    73.700
    17.129    73.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.992    73.700
    17.129    73.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.242    73.595
    17.129    73.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.242    73.595
    17.129    73.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.397    73.727
    17.129    73.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.397    73.727
    17.129    73.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.992    73.700
    17.128    73.777
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.992    73.700
    17.128    73.777
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.242    73.595
    17.128    73.777
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.242    73.595
    17.128    73.777
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.123    73.897
    17.128    73.777
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.123    73.897
    17.128    73.777
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.397    73.727
    17.128    73.777
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.397    73.727
    17.128    73.777
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.308    74.183
    17.128    73.777
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.397    73.727
    17.331    73.742
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.242    73.595
    17.331    73.742
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.242    73.595
    17.331    73.742
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.123    73.897
    17.331    73.742
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.123    73.897
    17.331    73.742
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.992    73.700
    17.331    73.742
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.992    73.700
    17.331    73.742
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.992    73.700
    17.242    73.731
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.992    73.700
    17.242    73.731
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.242    73.595
    17.242    73.731
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.242    73.595
    17.242    73.731
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.123    73.897
    17.242    73.731
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.123    73.897
    17.242    73.731
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.397    73.727
    17.242    73.731
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.397    73.727
    17.242    73.731
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.308    74.183
    17.175    73.775
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.308    74.183
    17.175    73.775
END
# Seismic stations used for direct calibration, marked by a triangle
gmt psxy -: -R $projection -St -Wthick,black -Gblack -O -K << END >> $psfile
    17.308    74.183     0.300
    16.992    73.700     0.300
    17.242    73.595     0.300
    17.123    73.897     0.300
    17.397    73.727     0.300
END
# S-P stations used for direct calibration, marked by an open diamond
gmt psxy -: -R $projection -Sd -Wthick -O -K << END >> $psfile
END
# Cluster events, marked by open black circles
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.270    73.784     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.161    73.626     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.181    73.737     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.128    73.717     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.211    73.739     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.209    73.731     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.211    73.808     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.231    73.712     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.195    73.762     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.136    73.780     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.134    73.706     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.145    73.724     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.186    73.766     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.197    73.759     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.202    73.778     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.138    73.769     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.160    73.798     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.246    73.732     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.123    73.784     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.091    73.770     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.105    73.698     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.104    73.701     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.102    73.708     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.333    73.744     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.295    73.771     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.130    73.800     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.094    73.680     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.122    73.788     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.140    73.789     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.138    73.796     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.129    73.791     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.128    73.777     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.331    73.742     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.242    73.731     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.175    73.775     0.200
END
# Circle of radius 1 and 2 degrees
gmt psxy -: -R $projection -SE -Wthicker,red -O << END >> $psfile
    17.175    73.751     0.000   222.000   222.000
    17.175    73.751     0.000   444.000   444.000
END
